# Image Editor Plus

![Image Editor Plus](doc/images/featured.png)

Image Editor Plus is a Blender add-on that lets you modify your image in seconds. Clear, fill, flip, rotation, adjusting colors, and applying some filters in just a few clicks without external editors such as PhotoShop or Gimp.

This add-on extends the UV/Image Editor in Blender and provides the following operations.

- Cut/Copy/Paste
- Clear, Fill
- Crop
- Adjust hue/saturation
- Adjust brightness/contrast
- Adjust gamma
- Adjust color curve
- Replace color
- Flip, Rotate
- Canvas size
- Offset
- Apply filters

NOTE: Currently, text editing is provided as a separate add-on: [Image Editor+ Text Tool](https://superhivemarket.com/products/imedp-text-tool)

These image operations can be applied to packed/unpacked images, and reflected to the 3D model view immediately.

You can make a selection to edit the desired area on your image (currently only rectangle selection supported).

![Adjust color](doc/images/adjust_color.png)

It's easy to copy/paste a selection or an entire image. The pasted images are displayed as layers, and they can be moved, rotated or scaled.

NOTE: To display pasted layers in the 3D View, you need to use a [Image Layers Node](https://superhivemarket.com/products/image-layers-node) instead of built-in Texture Node.

![Pasted layers](doc/images/pasted_layers_2.png)

## Filters

By applying the some filters, you can add special effects to your images.

- Blur
- Sharpen
- Add noise
- Pixelize (Mosaic)
- Make seamless
- Normal map

"Make seamless" filter is useful for making your image tileable. 

![Filters](doc/images/filters.png)

## Normal Map Generator

Normal Map is a texture where every pixel represents a normal vector and is used to add bumps to a surface.

This add-on uses a height map (black: low, white: high) as input and can convert it to a normal map.

![Normal map](doc/images/normal_map.png)
